/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

void DMA_init(volatile uint8 *Reg, volatile uint8 *Addr, volatile uint8 *DataIn)
{
    /* Defines for DMA_0 */
    #define DMA_0_BYTES_PER_BURST 1
    #define DMA_0_REQUEST_PER_BURST 1
    #define DMA_0_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_0_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_0 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_0_Chan;
    uint8 DMA_0_TD[1];

    /* DMA Configuration for DMA_0 */
    DMA_0_Chan = DMA_0_DmaInitialize(DMA_0_BYTES_PER_BURST, DMA_0_REQUEST_PER_BURST, 
        HI16(DMA_0_SRC_BASE), HI16(DMA_0_DST_BASE));
    DMA_0_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_0_TD[0], 1, DMA_0_TD[0], 0);
    CyDmaTdSetAddress(DMA_0_TD[0], LO16((uint32)Reg), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_0_Chan, DMA_0_TD[0]);
    CyDmaChEnable(DMA_0_Chan, 1);
    
    /* Defines for DMA_1 */
    #define DMA_1_BYTES_PER_BURST 1
    #define DMA_1_REQUEST_PER_BURST 1
    #define DMA_1_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_1_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_1 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_1_Chan;
    uint8 DMA_1_TD[1];

    /* DMA Configuration for DMA_1 */
    DMA_1_Chan = DMA_1_DmaInitialize(DMA_1_BYTES_PER_BURST, DMA_1_REQUEST_PER_BURST, 
        HI16(DMA_1_SRC_BASE), HI16(DMA_1_DST_BASE));
    DMA_1_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_1_TD[0], 1, DMA_1_TD[0], 0);
    CyDmaTdSetAddress(DMA_1_TD[0], LO16((uint32)Reg + 1), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_1_Chan, DMA_1_TD[0]);
    CyDmaChEnable(DMA_1_Chan, 1);

    /* Defines for DMA_2 */
    #define DMA_2_BYTES_PER_BURST 1
    #define DMA_2_REQUEST_PER_BURST 1
    #define DMA_2_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_2_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_2 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_2_Chan;
    uint8 DMA_2_TD[1];

    /* DMA Configuration for DMA_2 */
    DMA_2_Chan = DMA_2_DmaInitialize(DMA_2_BYTES_PER_BURST, DMA_2_REQUEST_PER_BURST, 
        HI16(DMA_2_SRC_BASE), HI16(DMA_2_DST_BASE));
    DMA_2_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_2_TD[0], 1, DMA_2_TD[0], 0);
    CyDmaTdSetAddress(DMA_2_TD[0], LO16((uint32)Reg + 2), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_2_Chan, DMA_2_TD[0]);
    CyDmaChEnable(DMA_2_Chan, 1);

    /* Defines for DMA_3 */
    #define DMA_3_BYTES_PER_BURST 1
    #define DMA_3_REQUEST_PER_BURST 1
    #define DMA_3_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_3_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_3 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_3_Chan;
    uint8 DMA_3_TD[1];

    /* DMA Configuration for DMA_3 */
    DMA_3_Chan = DMA_3_DmaInitialize(DMA_3_BYTES_PER_BURST, DMA_3_REQUEST_PER_BURST, 
        HI16(DMA_3_SRC_BASE), HI16(DMA_3_DST_BASE));
    DMA_3_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_3_TD[0], 1, DMA_3_TD[0], 0);
    CyDmaTdSetAddress(DMA_3_TD[0], LO16((uint32)Reg + 3), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_3_Chan, DMA_3_TD[0]);
    CyDmaChEnable(DMA_3_Chan, 1);

    /* Defines for DMA_4 */
    #define DMA_4_BYTES_PER_BURST 1
    #define DMA_4_REQUEST_PER_BURST 1
    #define DMA_4_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_4_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_4 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_4_Chan;
    uint8 DMA_4_TD[1];

    /* DMA Configuration for DMA_4 */
    DMA_4_Chan = DMA_4_DmaInitialize(DMA_4_BYTES_PER_BURST, DMA_4_REQUEST_PER_BURST, 
        HI16(DMA_4_SRC_BASE), HI16(DMA_4_DST_BASE));
    DMA_4_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_4_TD[0], 1, DMA_4_TD[0], 0);
    CyDmaTdSetAddress(DMA_4_TD[0], LO16((uint32)Reg + 4), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_4_Chan, DMA_4_TD[0]);
    CyDmaChEnable(DMA_4_Chan, 1);

    /* Defines for DMA_5 */
    #define DMA_5_BYTES_PER_BURST 1
    #define DMA_5_REQUEST_PER_BURST 1
    #define DMA_5_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_5_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_5 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_5_Chan;
    uint8 DMA_5_TD[1];

    /* DMA Configuration for DMA_5 */
    DMA_5_Chan = DMA_5_DmaInitialize(DMA_5_BYTES_PER_BURST, DMA_5_REQUEST_PER_BURST, 
        HI16(DMA_5_SRC_BASE), HI16(DMA_5_DST_BASE));
    DMA_5_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_5_TD[0], 1, DMA_5_TD[0], 0);
    CyDmaTdSetAddress(DMA_5_TD[0], LO16((uint32)Reg + 5), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_5_Chan, DMA_5_TD[0]);
    CyDmaChEnable(DMA_5_Chan, 1);
    
    /* Defines for DMA_6 */
    #define DMA_6_BYTES_PER_BURST 1
    #define DMA_6_REQUEST_PER_BURST 1
    #define DMA_6_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_6_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_6 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_6_Chan;
    uint8 DMA_6_TD[1];

    /* DMA Configuration for DMA_6 */
    DMA_6_Chan = DMA_6_DmaInitialize(DMA_6_BYTES_PER_BURST, DMA_6_REQUEST_PER_BURST, 
        HI16(DMA_6_SRC_BASE), HI16(DMA_6_DST_BASE));
    DMA_6_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_6_TD[0], 1, DMA_6_TD[0], 0);
    CyDmaTdSetAddress(DMA_6_TD[0], LO16((uint32)Reg + 6), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_6_Chan, DMA_6_TD[0]);
    CyDmaChEnable(DMA_6_Chan, 1);

    /* Defines for DMA_7 */
    #define DMA_7_BYTES_PER_BURST 1
    #define DMA_7_REQUEST_PER_BURST 1
    #define DMA_7_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_7_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_7 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_7_Chan;
    uint8 DMA_7_TD[1];

    /* DMA Configuration for DMA_7 */
    DMA_7_Chan = DMA_7_DmaInitialize(DMA_7_BYTES_PER_BURST, DMA_7_REQUEST_PER_BURST, 
        HI16(DMA_7_SRC_BASE), HI16(DMA_7_DST_BASE));
    DMA_7_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_7_TD[0], 1, DMA_7_TD[0], 0);
    CyDmaTdSetAddress(DMA_7_TD[0], LO16((uint32)Reg + 7), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_7_Chan, DMA_7_TD[0]);
    CyDmaChEnable(DMA_7_Chan, 1);

    /* Defines for DMA_8 */
    #define DMA_8_BYTES_PER_BURST 1
    #define DMA_8_REQUEST_PER_BURST 1
    #define DMA_8_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_8_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_8 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_8_Chan;
    uint8 DMA_8_TD[1];

    /* DMA Configuration for DMA_8 */
    DMA_8_Chan = DMA_8_DmaInitialize(DMA_8_BYTES_PER_BURST, DMA_8_REQUEST_PER_BURST, 
        HI16(DMA_8_SRC_BASE), HI16(DMA_8_DST_BASE));
    DMA_8_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_8_TD[0], 1, DMA_8_TD[0], 0);
    CyDmaTdSetAddress(DMA_8_TD[0], LO16((uint32)Reg + 8), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_8_Chan, DMA_8_TD[0]);
    CyDmaChEnable(DMA_8_Chan, 1);

    /* Defines for DMA_9 */
    #define DMA_9_BYTES_PER_BURST 1
    #define DMA_9_REQUEST_PER_BURST 1
    #define DMA_9_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_9_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_9 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_9_Chan;
    uint8 DMA_9_TD[1];

    /* DMA Configuration for DMA_9 */
    DMA_9_Chan = DMA_9_DmaInitialize(DMA_9_BYTES_PER_BURST, DMA_9_REQUEST_PER_BURST, 
        HI16(DMA_9_SRC_BASE), HI16(DMA_9_DST_BASE));
    DMA_9_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_9_TD[0], 1, DMA_9_TD[0], 0);
    CyDmaTdSetAddress(DMA_9_TD[0], LO16((uint32)Reg + 9), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_9_Chan, DMA_9_TD[0]);
    CyDmaChEnable(DMA_9_Chan, 1);

    /* Defines for DMA_10 */
    #define DMA_10_BYTES_PER_BURST 1
    #define DMA_10_REQUEST_PER_BURST 1
    #define DMA_10_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_10_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_10 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_10_Chan;
    uint8 DMA_10_TD[1];

    /* DMA Configuration for DMA_10 */
    DMA_10_Chan = DMA_10_DmaInitialize(DMA_10_BYTES_PER_BURST, DMA_10_REQUEST_PER_BURST, 
        HI16(DMA_10_SRC_BASE), HI16(DMA_10_DST_BASE));
    DMA_10_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_10_TD[0], 1, DMA_10_TD[0], 0);
    CyDmaTdSetAddress(DMA_10_TD[0], LO16((uint32)Reg + 10), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_10_Chan, DMA_10_TD[0]);
    CyDmaChEnable(DMA_10_Chan, 1);

    /* Defines for DMA_11 */
    #define DMA_11_BYTES_PER_BURST 1
    #define DMA_11_REQUEST_PER_BURST 1
    #define DMA_11_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_11_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_11 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_11_Chan;
    uint8 DMA_11_TD[1];

    /* DMA Configuration for DMA_11 */
    DMA_11_Chan = DMA_11_DmaInitialize(DMA_11_BYTES_PER_BURST, DMA_11_REQUEST_PER_BURST, 
        HI16(DMA_11_SRC_BASE), HI16(DMA_11_DST_BASE));
    DMA_11_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_11_TD[0], 1, DMA_11_TD[0], 0);
    CyDmaTdSetAddress(DMA_11_TD[0], LO16((uint32)Reg + 11), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_11_Chan, DMA_11_TD[0]);
    CyDmaChEnable(DMA_11_Chan, 1);

    /* Defines for DMA_12 */
    #define DMA_12_BYTES_PER_BURST 1
    #define DMA_12_REQUEST_PER_BURST 1
    #define DMA_12_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_12_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_12 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_12_Chan;
    uint8 DMA_12_TD[1];

    /* DMA Configuration for DMA_12 */
    DMA_12_Chan = DMA_12_DmaInitialize(DMA_12_BYTES_PER_BURST, DMA_12_REQUEST_PER_BURST, 
        HI16(DMA_12_SRC_BASE), HI16(DMA_12_DST_BASE));
    DMA_12_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_12_TD[0], 1, DMA_12_TD[0], 0);
    CyDmaTdSetAddress(DMA_12_TD[0], LO16((uint32)Reg + 12), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_12_Chan, DMA_12_TD[0]);
    CyDmaChEnable(DMA_12_Chan, 1);

    /* Defines for DMA_13 */
    #define DMA_13_BYTES_PER_BURST 1
    #define DMA_13_REQUEST_PER_BURST 1
    #define DMA_13_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_13_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_13 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_13_Chan;
    uint8 DMA_13_TD[1];

    /* DMA Configuration for DMA_13 */
    DMA_13_Chan = DMA_13_DmaInitialize(DMA_13_BYTES_PER_BURST, DMA_13_REQUEST_PER_BURST, 
        HI16(DMA_13_SRC_BASE), HI16(DMA_13_DST_BASE));
    DMA_13_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_13_TD[0], 1, DMA_13_TD[0], 0);
    CyDmaTdSetAddress(DMA_13_TD[0], LO16((uint32)Reg + 13), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_13_Chan, DMA_13_TD[0]);
    CyDmaChEnable(DMA_13_Chan, 1);

    /* Defines for DMA_14 */
    #define DMA_14_BYTES_PER_BURST 1
    #define DMA_14_REQUEST_PER_BURST 1
    #define DMA_14_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_14_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_14 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_14_Chan;
    uint8 DMA_14_TD[1];

    /* DMA Configuration for DMA_14 */
    DMA_14_Chan = DMA_14_DmaInitialize(DMA_14_BYTES_PER_BURST, DMA_14_REQUEST_PER_BURST, 
        HI16(DMA_14_SRC_BASE), HI16(DMA_14_DST_BASE));
    DMA_14_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_14_TD[0], 1, DMA_14_TD[0], 0);
    CyDmaTdSetAddress(DMA_14_TD[0], LO16((uint32)Reg + 14), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_14_Chan, DMA_14_TD[0]);
    CyDmaChEnable(DMA_14_Chan, 1);

    /* Defines for DMA_15 */
    #define DMA_15_BYTES_PER_BURST 1
    #define DMA_15_REQUEST_PER_BURST 1
    #define DMA_15_SRC_BASE (CYDEV_SRAM_BASE)
    #define DMA_15_DST_BASE (CYDEV_PERIPH_BASE)

    /* Variable declarations for DMA_15 */
    /* Move these variable declarations to the top of the function */
    uint8 DMA_15_Chan;
    uint8 DMA_15_TD[1];

    /* DMA Configuration for DMA_15 */
    DMA_15_Chan = DMA_15_DmaInitialize(DMA_15_BYTES_PER_BURST, DMA_15_REQUEST_PER_BURST, 
        HI16(DMA_15_SRC_BASE), HI16(DMA_15_DST_BASE));
    DMA_15_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DMA_15_TD[0], 1, DMA_15_TD[0], 0);
    CyDmaTdSetAddress(DMA_15_TD[0], LO16((uint32)Reg + 15), LO16((uint32)DataOut_Control_PTR));
    CyDmaChSetInitialTd(DMA_15_Chan, DMA_15_TD[0]);
    CyDmaChEnable(DMA_15_Chan, 1);
    
    /* Defines for AddrInDMA */
    #define AddrInDMA_BYTES_PER_BURST 1
    #define AddrInDMA_REQUEST_PER_BURST 1
    #define AddrInDMA_SRC_BASE (CYDEV_PERIPH_BASE)
    #define AddrInDMA_DST_BASE (CYDEV_SRAM_BASE)

    /* Variable declarations for AddrInDMA */
    /* Move these variable declarations to the top of the function */
    uint8 AddrInDMA_Chan;
    uint8 AddrInDMA_TD[1];

    /* DMA Configuration for AddrInDMA */
    AddrInDMA_Chan = AddrInDMA_DmaInitialize(AddrInDMA_BYTES_PER_BURST, AddrInDMA_REQUEST_PER_BURST, 
        HI16(AddrInDMA_SRC_BASE), HI16(AddrInDMA_DST_BASE));
    AddrInDMA_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(AddrInDMA_TD[0], 1, AddrInDMA_TD[0], 0);
    CyDmaTdSetAddress(AddrInDMA_TD[0], LO16((uint32)ADDR_Status_PTR), LO16((uint32)Addr));
    CyDmaChSetInitialTd(AddrInDMA_Chan, AddrInDMA_TD[0]);
    CyDmaChEnable(AddrInDMA_Chan, 1);

    /* Defines for DataInDMA */
    #define DataInDMA_BYTES_PER_BURST 1
    #define DataInDMA_REQUEST_PER_BURST 1
    #define DataInDMA_SRC_BASE (CYDEV_PERIPH_BASE)
    #define DataInDMA_DST_BASE (CYDEV_SRAM_BASE)

    /* Variable declarations for DataInDMA */
    /* Move these variable declarations to the top of the function */
    uint8 DataInDMA_Chan;
    uint8 DataInDMA_TD[1];

    /* DMA Configuration for DataInDMA */
    DataInDMA_Chan = DataInDMA_DmaInitialize(DataInDMA_BYTES_PER_BURST, DataInDMA_REQUEST_PER_BURST, 
        HI16(DataInDMA_SRC_BASE), HI16(DataInDMA_DST_BASE));
    DataInDMA_TD[0] = CyDmaTdAllocate();
    CyDmaTdSetConfiguration(DataInDMA_TD[0], 1, DataInDMA_TD[0], 0);
    CyDmaTdSetAddress(DataInDMA_TD[0], LO16((uint32)DataIn_Status_PTR), LO16((uint32)DataIn));
    CyDmaChSetInitialTd(DataInDMA_Chan, DataInDMA_TD[0]);
    CyDmaChEnable(DataInDMA_Chan, 1);

}
/* [] END OF FILE */
