/*******************************************************************************
* File Name: ResetISROff.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_ResetISROff_H)
#define CY_ISR_ResetISROff_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void ResetISROff_Start(void);
void ResetISROff_StartEx(cyisraddress address);
void ResetISROff_Stop(void);

CY_ISR_PROTO(ResetISROff_Interrupt);

void ResetISROff_SetVector(cyisraddress address);
cyisraddress ResetISROff_GetVector(void);

void ResetISROff_SetPriority(uint8 priority);
uint8 ResetISROff_GetPriority(void);

void ResetISROff_Enable(void);
uint8 ResetISROff_GetState(void);
void ResetISROff_Disable(void);

void ResetISROff_SetPending(void);
void ResetISROff_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the ResetISROff ISR. */
#define ResetISROff_INTC_VECTOR            ((reg32 *) ResetISROff__INTC_VECT)

/* Address of the ResetISROff ISR priority. */
#define ResetISROff_INTC_PRIOR             ((reg8 *) ResetISROff__INTC_PRIOR_REG)

/* Priority of the ResetISROff interrupt. */
#define ResetISROff_INTC_PRIOR_NUMBER      ResetISROff__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable ResetISROff interrupt. */
#define ResetISROff_INTC_SET_EN            ((reg32 *) ResetISROff__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the ResetISROff interrupt. */
#define ResetISROff_INTC_CLR_EN            ((reg32 *) ResetISROff__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the ResetISROff interrupt state to pending. */
#define ResetISROff_INTC_SET_PD            ((reg32 *) ResetISROff__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the ResetISROff interrupt. */
#define ResetISROff_INTC_CLR_PD            ((reg32 *) ResetISROff__INTC_CLR_PD_REG)


#endif /* CY_ISR_ResetISROff_H */


/* [] END OF FILE */
